> ## Documentation Index
> Fetch the complete documentation index at: https://docs.campfire.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve Budget Account



## OpenAPI

````yaml https://api.meetcampfire.com/api/schema?format=json get /coa/api/budgets/{budget_pk}/accounts/{id}
openapi: 3.0.3
info:
  title: Campfire Developer APIs
  version: 1.0.0
  description: >
    ## Introduction

    Campfire's developer APIs offer granular access to Campfire's core
    accounting,

    revenue recognition, and financial data features.


    These APIs are designed to be used by developers to build custom
    integrations,

    automate workflows, and perform any other programmatic operations.
servers:
  - url: https://api.meetcampfire.com
    description: Production server
security: []
tags:
  - name: Cash Management
    description: Operations related to accounts, transactions, and other bank-related data.
  - name: Core Accounting
    description: >-
      Operations related to core accounting data, such as the chart of accounts,
      entity management, and the general ledger.
  - name: Revenue Recognition
    description: >-
      Operations related to revenue recognition, contract management, and
      contract data aggregation.
  - name: Accounts Receivable
    description: Operations related to invoicing and the AR subledger
  - name: Accounts Payable
    description: Operations related to billing and the AP subledger.
  - name: Financial Statements
    description: Operations related to financial statement generation and data aggregation.
  - name: Settings
    description: Operations related to system and accounting settings configuration.
paths:
  /coa/api/budgets/{budget_pk}/accounts/{id}:
    get:
      tags:
        - Core Accounting
      summary: Retrieve Budget Account
      operationId: coa_api_budgets_accounts_retrieve
      parameters:
        - in: path
          name: budget_pk
          schema:
            type: integer
          required: true
        - in: path
          name: id
          schema:
            type: integer
          required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BudgetAccount'
          description: ''
      security:
        - knoxApiToken: []
components:
  schemas:
    BudgetAccount:
      type: object
      properties:
        id:
          type: integer
          readOnly: true
        is_deleted:
          type: boolean
          readOnly: true
          default: false
        deleted_at:
          type: string
          format: date-time
          readOnly: true
          nullable: true
        account_name:
          type: string
          readOnly: true
        account_lineage:
          type: string
          readOnly: true
        department_name:
          type: string
          readOnly: true
        period:
          type: integer
          maximum: 32767
          minimum: 0
          default: 1
        amount:
          type: number
          format: double
          maximum: 1000000000000000000
          minimum: -1000000000000000000
          exclusiveMaximum: true
          exclusiveMinimum: true
        created_at:
          type: string
          format: date-time
          readOnly: true
        last_modified_at:
          type: string
          format: date-time
          readOnly: true
        customer:
          type: integer
          readOnly: true
        budget:
          type: integer
          readOnly: true
        account:
          type: integer
          readOnly: true
        department:
          type: integer
          nullable: true
          readOnly: true
      required:
        - account
        - account_lineage
        - account_name
        - budget
        - created_at
        - customer
        - deleted_at
        - department
        - department_name
        - id
        - is_deleted
        - last_modified_at
  securitySchemes:
    knoxApiToken:
      type: apiKey
      in: header
      name: Authorization
      description: Token-based authentication with required prefix "Token"

````